from setuptools import setup, find_packages
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

VERSION = '0.1.2'
DESCRIPTION = 'Collection of helpfull appconfiguration extensions'
LONG_DESCRIPTION = 'Collection of helpfull appconfiguration extensions'

# Setting up
setup(
    name="appapy",
    version=VERSION,
    author="broom (Patrik)",
    author_email="<patrikhartl@googlemail.com>",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=long_description,
    packages=find_packages(),
    install_requires=['azure-appconfiguration==1.3.0', 'texttable==1.6.4', 'azure-identity==1.10.0', 'azure-keyvault-secrets==4.4.0'],
    keywords=['python', 'appconfiguration', 'azure'],
    classifiers=[
        "Development Status :: 1 - Planning",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent"
    ]
)